package org.dromara.main.service;

import org.dromara.main.domain.bo.MainStudentProjectBo;
import org.dromara.main.domain.vo.MainStudentProjectVo;

import java.util.Collection;
import java.util.List;

public interface IMainStudentProjectService {
    MainStudentProjectVo queryById(Long id);
    List<MainStudentProjectVo> queryList(MainStudentProjectBo bo);
    Boolean insertByBo(MainStudentProjectBo bo);
    Boolean updateByBo(MainStudentProjectBo bo);
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
